Skip to main content
GET
/
org
/
{org}
/
user
Get all users
curl --request GET \
  --url https://api.cpln.io/org/{org}/user \
  --header 'Authorization: <api-key>'
import requests

url = "https://api.cpln.io/org/{org}/user"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://api.cpln.io/org/{org}/user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "kind": "<string>",
  "items": [
    {}
  ],
  "links": [
    {
      "rel": "<string>",
      "href": "<string>"
    }
  ]
}
{
"status": 123,
"message": "<string>",
"code": "<string>",
"details": {},
"id": "<string>"
}
{
"status": 123,
"message": "<string>",
"code": "<string>",
"details": {},
"id": "<string>"
}

Authorizations

Authorization
string
header
required

Service account key can be used as API keys

Path Parameters

org
string
required

Response

Success

kind
string
itemKind
enum<string>
Available options:
org,
cloudaccount,
policy,
user,
group,
resource,
task,
permissions,
serviceaccount,
secret,
location,
gvc,
workload,
quota,
identity,
deployment,
event,
account,
domain,
image,
ipset,
resourcepolicy,
accessreport,
agent,
auditctx,
dbcluster,
memcachecluster,
spicedbcluster,
tenant,
mk8s,
command,
policymembership,
primitive,
foreign,
link,
imagesummary,
volumeset
items
object[]